%define iname wmrack

Name: 		WMRack
Version: 	1.2
Release: 	alt2
Packager:	Alexey Voinov <voins@altlinux.ru>

Summary:	A WindowMaker Dock CD+Sound Applet
License:	GPL
Group:		Graphical desktop/Window Maker
Url:		http://wmrack.sourceforge.net

BuildRequires: 	XFree86-devel xpm-devel
Source: 	%iname-%version.tar.bz2
Source1:	WMRack.menu
Patch1:		%iname-1.2-alt-makefile.patch

%description
Dock Applet for WindowsMaker

%prep
%setup -q -n %iname-%version
%patch1 -p 1 -b .makefile

%build
%configure --bindir=%_x11bindir --libdir %_x11libdir
%make_build

%install
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -p -D -m 644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%files
%doc CHANGES README TODO WARRANTY
%_x11bindir/*
%_man1dir/*
%_menudir/*
%_x11libdir/%name

%post
%update_menus

%postun
%clean_menus

%changelog
* Thu Apr 22 2004 Alexey Voinov <voins@altlinux.ru> 1.2-alt2
- remove prefix redefinition. this fixes post/postun scripts.
- little spec clean up
- url fixed

* Wed Mar 24 2004 Alexey Voinov <voins@altlinux.ru> 1.2-alt1
- new version (1.2)
- makefile patch updated

* Sun Oct 06 2002 Alexey Voinov <voins@voins.program.ru> 1.1-alt1
- new version (1.1)
- spec cleanup
- iname defined (don't want to rename package)
- makefile patch added
- segfault patch added (it's not really a fix, just a hack. I don't want to 
  bury in this buggy code).

* Sat Jun  9 2001 Alexey Voinov <voins@voins.program.ru>
- menu rearranged
- conditional NoSource added.

* Thu Apr 19 2001 Alexey Voinov <voins@voins.program.ru>
- menu added
- spec cleanup

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation
- cleanup spec

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0b5-9mdk
- automatically added BuildRequires

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 1.0b5-8mdk
- Fix group.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0b5-7mdk
- Restoring CFLAGS.
- Don't sa.restored() on alpha (don't ask me why).

* Mon Dec 20 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- Patch:
	wmrack: does not segfault anymore when mixer device do not exist.
	cdctrl: dito.

* Thu Nov 6 1999 Damien Krotkine <damien@mandrakesoft.com>
- Make Mandrake compliant.

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again.

* Fri Apr 30 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake Compliant
- Change group to Interface/Desktops(same as WM)

* Thu Aug  6 1998 Oliver Graf <ograf@fga.de>
- started changelog
- added defines for version and release
